Results 1 to 8 of 8

Thread: java plugin crashes firefox

  1. #1

    Default java plugin crashes firefox

    Greetings

    My firefox does not respond well to Java applets. They don't execute at all,
    but makes firefox crash. They did previously. Now firefox crashes
    completely. (I'm using Verify Java Version to
    verify). I did an YaST update, and after that, no more working java applets in
    Firefox. However java with Konqueror works fine. Both firefox and jre is
    installed by means of YaST, i.e. official RPM's. Rebooting has no
    effect. This is the message I get:

    Flash Player: Warning: environment variable G_FILENAME_ENCODING is set and is not UTF-8
    java_vm process: could not find Java VM symbols
    INTERNAL ERROR on Browser End: Could not read ack from child process
    System error?:: Ressursen midlertidig utilgjengelig <--- "Resource temporary unavailable"
    /usr/bin/firefox: line 208: 7624 Minnesegmentsfeil $MOZ_PROGRAM "$@"
    ^
    |- "Memory segment error"

    Here's my firefox:
    Mozilla/5.0 (X11; U; Linux i686; nb-NO; rv:1.8.1.14) Gecko/20080410
    SUSE/2.0.0.14-0.1 Firefox/2.0.0.14

    I have manually created a link for Firefox in two places to see with one worked. None did. Pluginpath:
    /usr/lib/firefox/plugins> ll
    totalt 28
    lrwxrwxrwx 1 root root 91 2008-06-19 00:57 libjavaplugin_oji.so -> /usr/lib/jvm/java-1_4_2-sun-1.4.2_update17/jre/plugin/i386/ns610-gcc32/libjavaplugin_oji.so
    -rwxr-xr-x 1 root root 22664 2008-04-27 11:43 libnullplugin.so
    .
    .
    /usr/lib/browser-plugins> ll
    totalt 11288
    -rwxr-xr-x 1 root root 72024 2008-04-27 01:07 libdragonegg.so
    -rwxr-xr-x 1 root root 8115888 2008-04-09 17:02 libflashplayer.so
    lrwxrwxrwx 1 root root 91 2008-06-18 13:14 libjavaplugin_oji.so -> /usr/lib/jvm/java-1_4_2-sun-1.4.2_update17/jre/plugin/i386/ns610-gcc32/libjavaplugin_oji.so
    .
    .
    Here's my jre stuff:
    $ ls -l /usr/lib/jvm/java-1_4_2-sun-1.4.2_update17/jre/plugin/i386/ns610-gcc32/
    totalt 224
    -rwxr-xr-x 1 root root 222688 2008-02-09 04:47 libjavaplugin_oji.so

    Firefox can find my java plugin.
    The relevant part of $HOME/.mozilla/firefox/pluginreg.dat

    /usr/lib/jvm/java-1_4_2-sun-1.4.2_update17/jre/plugin/i386/ns610-gcc32/libjavaplugin_oji.so:$
    :$
    1202528824000:1:5:$
    Java(TM) Plug-in 1.4.2_17:$
    Java(TM) Plug-in 1.4.2_17-b06:$
    29
    0:application/x-java-vm:Java::$
    1:application/x-java-applet:Java::$
    2:application/x-java-applet;version=1.1:Java::$
    3:application/x-java-applet;version=1.1.1:Java::$
    4:application/x-java-applet;version=1.1.2:Java::$
    5:application/x-java-applet;version=1.1.3:Java::$
    6:application/x-java-applet;version=1.2:Java::$
    7:application/x-java-applet;version=1.2.1:Java::$
    8:application/x-java-applet;version=1.2.2:Java::$
    9:application/x-java-applet;version=1.3:Java::$
    10:application/x-java-applet;version=1.3.1:Java::$
    11:application/x-java-applet;version=1.4:Java::$
    12:application/x-java-applet;version=1.4.1:Java::$
    13:application/x-java-applet;version=1.4.2:Java::$
    14:application/x-java-applet;jpi-version=1.4.2_17:Java::$
    15:application/x-java-bean:Java::$
    16:application/x-java-bean;version=1.1:Java::$
    17:application/x-java-bean;version=1.1.1:Java::$
    18:application/x-java-bean;version=1.1.2:Java::$
    19:application/x-java-bean;version=1.1.3:Java::$
    20:application/x-java-bean;version=1.2:Java::$
    21:application/x-java-bean;version=1.2.1:Java::$
    22:application/x-java-bean;version=1.2.2:Java::$
    23:application/x-java-bean;version=1.3:Java::$
    24:application/x-java-bean;version=1.3.1:Java::$
    25:application/x-java-bean;version=1.4:Java::$
    26:application/x-java-bean;version=1.4.1:Java::$
    27:application/x-java-bean;version=1.4.2:Java::$
    28:application/x-java-bean;jpi-version=1.4.2_17:Java::$
    /usr/lib/firefox/plugins/libnullplugin.so:$
    :$
    1209289414000:1:5:$
    The default plugin handles plugin data for mimetypes and extensions that are not specified and facilita
    tes downloading of new plugins.:$
    Default Plugin:$
    1
    0:*:All types:.*:$

    I've experienced this problem a long time ago and the fix then was a missing
    link in firefox pluginpath. This time it must be something else.I've googled
    without finding anything conclusive. Suggestions how to fix is very much
    welcome.

  2. #2
    Join Date
    Jan 2008
    Location
    N40 44.977 W073 59.356
    Posts
    1,170

    Default Re: java plugin crashes firefox

    durque wrote:
    >
    > [snip]
    >

    Please next time do not write in all caps or put a space between each
    and every letter. It makes things very hard to read, takes up way too
    much page real estate and most likely will push people away from helping
    instead of drawing them to your question/post.

  3. #3
    Join Date
    Jun 2008
    Location
    Oklahoma, US
    Posts
    822

    Default Re: java plugin crashes firefox

    69_rs_ss wrote:

    > durque wrote:
    >>
    >> [snip]
    >>

    > Please next time do not write in all caps or put a space between each
    > and every letter. It makes things very hard to read, takes up way too
    > much page real estate and most likely will push people away from helping
    > instead of drawing them to your question/post.


    He's posting from Norway... might have a UTF16 charset in place, doubt it
    was intentional.

    --
    L R Nix
    lornix@lornix.com

  4. #4

    Default Re: java plugin crashes firefox

    I appologice for the inconvenience. It's true I'm posting using UTF-8. At least that's what my locale settings is telling me.

    $ locale
    LANG=nb_NO.UTF-8
    LC_CTYPE="nb_NO.UTF-8"
    LC_NUMERIC="nb_NO.UTF-8"
    LC_TIME="nb_NO.UTF-8"
    LC_COLLATE="nb_NO.UTF-8"
    LC_MONETARY="nb_NO.UTF-8"
    LC_MESSAGES="nb_NO.UTF-8"
    LC_PAPER="nb_NO.UTF-8"
    LC_NAME="nb_NO.UTF-8"
    LC_ADDRESS="nb_NO.UTF-8"
    LC_TELEPHONE="nb_NO.UTF-8"
    LC_MEASUREMENT="nb_NO.UTF-8"
    LC_IDENTIFICATION="nb_NO.UTF-8"
    LC_ALL=

    I'm still having the same problem with java plugin.
    Anyone got an idea how to fix?

    Regards,
    Durque

  5. #5
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: java plugin crashes firefox

    > I'm still having the same problem with java plugin.
    > Anyone got an idea how to fix?


    hi Durque....now you are coming through MUCH nicer...
    fact is i read about two lines in your first posting and then quit...just too
    painful for me....so little time, so many to help...SO many without painful to
    read postings...

    my suggestion: POST AGAIN

    maybe more folks will read now that it is readable!!!

    good luck, you might even find a real guru..

    --
    DenverD (Linux Counter 282315)
    A Texan in Denmark

  6. #6
    Join Date
    Jun 2008
    Location
    Oklahoma, US
    Posts
    822

    Default Re: java plugin crashes firefox

    DenverD wrote:

    >> I'm still having the same problem with java plugin.
    >> Anyone got an idea how to fix?

    >
    > hi Durque....now you are coming through MUCH nicer...
    > fact is i read about two lines in your first posting and then quit...just
    > too painful for me....so little time, so many to help...SO many without
    > painful to read postings...
    >
    > my suggestion: POST AGAIN
    >
    > maybe more folks will read now that it is readable!!!
    >
    > good luck, you might even find a real guru..
    >


    Looks like you're using FF 2.0.0.14, on a 32bit system with yast-installed
    java v1.4.2.

    I would recommend uninstalling java entirely, then reinstalling it. Maybe
    just forcing a reinstall through yast would work. I know that the 1.5
    version of java available in yast, with the corresponding plugin worked
    well for my 32bit 10.3 systems.

    Reinstalling firefox could help too. As a check, the plugins should be
    findable in /usr/lib/browser-plugins subdir.

    (some of this is me spewing thoughts as they occur... fixing java & firefox
    issues was a full-time job in the past...)

    You might also try removing/deleting the pluginreg.dat file in your .mozilla
    subdirectory. This will force firefox to rebuild it, which could resolve
    some inconsistancies.

    The fact that java works in konqueror is a good sign, meaning it's really
    only limited to firefox... of course, this isn't the best of answers.




    --
    L R Nix
    lornix@lornix.com

  7. #7

    Thumbs up Re: java plugin crashes firefox

    Thanks lornix for your suggestions. Following them solved my problem.

    # rpm -ev MozillaFirefox MozillaFirefox-translations
    # rpm -ev java-1_4_2-sun-1.4.2_update17-0.1 \ java-1_4_2-sun-plugin-1.4.2_update17-0.1

    Then installed with YaST new firefox and new java

    # rpm -qa |grep -i firefox
    MozillaFirefox-2.0.0.16-0.1
    MozillaFirefox-translations-2.0.0.16-0.1
    # rpm -qa |grep -i java
    java-1_5_0-sun-1.5.0_update14-0.3
    java-1_5_0-sun-plugin-1.5.0_update14-0.3
    java-1_4_2-gcj-compat-1.4.2.0-66
    gcc41-java-4.1.2_20061115-5
    kdebindings3-javascript-3.5.9-61.10
    jakarta-commons-codec-javadoc-1.3-38
    gcc-java-4.1.3-29
    openoffice.org-javafilter-2.4.0-9286
    kdebindings3-java-3.5.9-67.10
    /usr/lib/browser-plugins # ls -l libj*
    total 11304
    lrwxrwxrwx 1 root root 83 Aug 14 21:00 libjavaplugin_oji.so -> /usr/lib/jvm/java-1.5.0-sun-1.5.0_update14/jre/plugin/i386/ns7/libjavaplugin_oji.so

    Now everything works again as expected.

    Thx again for your help

    Regards,
    Durque

  8. #8
    Join Date
    Jun 2008
    Location
    Oklahoma, US
    Posts
    822

    Default Re: java plugin crashes firefox

    On Thu, 14 Aug 2008 22:06:02 GMT
    durque <durque@no-mx.forums.opensuse.org> wrote:

    >
    > Thanks lornix for your suggestions. Following them solved my problem.
    >
    > # rpm -ev MozillaFirefox MozillaFirefox-translations
    > # rpm -ev java-1_4_2-sun-1.4.2_update17-0.1 \
    > java-1_4_2-sun-plugin-1.4.2_update17-0.1
    >
    > Then installed with YaST new firefox and new java
    >
    > # rpm -qa |grep -i firefox
    > MozillaFirefox-2.0.0.16-0.1
    > MozillaFirefox-translations-2.0.0.16-0.1
    > # rpm -qa |grep -i java
    > java-1_5_0-sun-1.5.0_update14-0.3
    > java-1_5_0-sun-plugin-1.5.0_update14-0.3
    > java-1_4_2-gcj-compat-1.4.2.0-66
    > gcc41-java-4.1.2_20061115-5
    > kdebindings3-javascript-3.5.9-61.10
    > jakarta-commons-codec-javadoc-1.3-38
    > gcc-java-4.1.3-29
    > openoffice.org-javafilter-2.4.0-9286
    > kdebindings3-java-3.5.9-67.10
    > /usr/lib/browser-plugins # ls -l libj*
    > total 11304
    > lrwxrwxrwx 1 root root 83 Aug 14 21:00 libjavaplugin_oji.so ->
    > /usr/lib/jvm/java-1.5.0-sun-1.5.0_update14/jre/plugin/i386/ns7/libjavaplugin_oji.so
    >
    > Now everything works again as expected.
    >
    > Thx again for your help
    >
    > Regards,
    > Durque
    >
    >


    Glad to help! Glad it's working now.

    Loni

    --
    L R Nix
    lornix@lornix.com


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •